Index: src/com/example/helloandroid/GameView.java
===================================================================
--- src/com/example/helloandroid/GameView.java	(revision 7f84c2009ef50d4a6873f841c4558c9a912d0e78)
+++ src/com/example/helloandroid/GameView.java	(revision 9b87c8d697bebfc10f1cf8b540b2c17de34438cc)
@@ -1,3 +1,6 @@
 package com.example.helloandroid;
+
+import java.util.ArrayList;
+import java.util.Random;
 
 import android.content.Context;
@@ -7,5 +10,4 @@
 import android.graphics.Canvas;
 import android.graphics.Paint;
-import android.graphics.RectF;
 import android.graphics.drawable.Drawable;
 import android.os.Bundle;
@@ -13,4 +15,5 @@
 import android.os.Message;
 import android.util.AttributeSet;
+import android.util.Log;
 import android.view.KeyEvent;
 import android.view.SurfaceHolder;
@@ -93,16 +96,5 @@
         private Bitmap mBackgroundImage;
 
-        /**
-         * Current height of the surface/canvas.
-         * 
-         * @see #setSurfaceSize
-         */
         private int mCanvasHeight = 1;
-
-        /**
-         * Current width of the surface/canvas.
-         * 
-         * @see #setSurfaceSize
-         */
         private int mCanvasWidth = 1;
 
@@ -110,14 +102,9 @@
         private Drawable mCrashedImage;
 
-        /**
-         * Current difficulty -- amount of fuel, allowed angle, etc. Default is
-         * MEDIUM.
-         */
+        /** Default is MEDIUM. */
         private int mDifficulty;
 
-        /** Velocity dx. */
+        /** Velocity */
         private double mDX;
-
-        /** Velocity dy. */
         private double mDY;
 
@@ -179,7 +166,4 @@
         private boolean mRun = false;
 
-        /** Scratch rect object. */
-        private RectF mScratchRect;
-
         /** Handle to the surface manager object we interact with */
         private SurfaceHolder mSurfaceHolder;
@@ -188,9 +172,9 @@
         private int mWinsInARow;
 
-        /** X of lander center. */
+        /** lander center. */
         private double mX;
-
-        /** Y of lander center. */
         private double mY;
+        
+        private ArrayList<Planet> planets;
 
         public DrawingThread(SurfaceHolder surfaceHolder, Context context,
@@ -203,15 +187,11 @@
             Resources res = context.getResources();
             // cache handles to our key sprites & other drawables
-            mLanderImage = context.getResources().getDrawable(
-                    R.drawable.lander_plain);
-            mFiringImage = context.getResources().getDrawable(
-                    R.drawable.lander_firing);
-            mCrashedImage = context.getResources().getDrawable(
-                    R.drawable.lander_crashed);
+            mLanderImage = context.getResources().getDrawable(R.drawable.lander_plain);
+            mFiringImage = context.getResources().getDrawable(R.drawable.lander_firing);
+            mCrashedImage = context.getResources().getDrawable(R.drawable.lander_crashed);
 
             // load background image as a Bitmap instead of a Drawable b/c
             // we don't need to transform it and it's faster to draw this way
-            mBackgroundImage = BitmapFactory.decodeResource(res,
-                    R.drawable.earthrise);
+            mBackgroundImage = BitmapFactory.decodeResource(res, R.drawable.earthrise);
 
             // Use the regular lander image as the model size for all sprites
@@ -227,6 +207,4 @@
             mLinePaintBad.setAntiAlias(true);
             mLinePaintBad.setARGB(255, 120, 180, 0);
-
-            mScratchRect = new RectF(0, 0, 0, 0);
 
             mWinsInARow = 0;
@@ -241,4 +219,6 @@
             mHeading = 0;
             mEngineFiring = true;
+            
+            planets = new ArrayList<Planet>();
         }
 
@@ -490,5 +470,13 @@
                 mCanvasWidth = width;
                 mCanvasHeight = height;
-
+                
+                Log.i(this.getClass().getName(), "width: "+mCanvasWidth+", height: "+mCanvasHeight);
+                
+                Random rand = new Random();
+
+                for(int x=0; x<6; x++) {
+                	planets.add(new Planet(rand.nextInt(45)+5, rand.nextInt(mCanvasWidth), rand.nextInt(mCanvasHeight)));
+                }
+                	
                 // don't forget to resize the background image
                 mBackgroundImage = Bitmap.createScaledBitmap(mBackgroundImage, width, height, true);
@@ -594,38 +582,11 @@
             // so this is like clearing the screen.
             canvas.drawBitmap(mBackgroundImage, 0, 0, null);
-
+            
+            for(Planet p : planets) {
+            	canvas.drawCircle(p.getX(), p.getY(), p.getRadius(), mLinePaint);
+            }
+            
             int yTop = mCanvasHeight - ((int) mY + mLanderHeight / 2);
             int xLeft = (int) mX - mLanderWidth / 2;
-
-            // Draw the fuel gauge
-            int fuelWidth = (int) (UI_BAR * mFuel / PHYS_FUEL_MAX);
-            mScratchRect.set(4, 4, 4 + fuelWidth, 4 + UI_BAR_HEIGHT);
-            canvas.drawRect(mScratchRect, mLinePaint);
-
-            // Draw the speed gauge, with a two-tone effect
-            double speed = Math.sqrt(mDX * mDX + mDY * mDY);
-            int speedWidth = (int) (UI_BAR * speed / PHYS_SPEED_MAX);
-
-            if (speed <= mGoalSpeed) {
-                mScratchRect.set(4 + UI_BAR + 4, 4,
-                        4 + UI_BAR + 4 + speedWidth, 4 + UI_BAR_HEIGHT);
-                canvas.drawRect(mScratchRect, mLinePaint);
-            } else {
-                // Draw the bad color in back, with the good color in front of
-                // it
-                mScratchRect.set(4 + UI_BAR + 4, 4,
-                        4 + UI_BAR + 4 + speedWidth, 4 + UI_BAR_HEIGHT);
-                canvas.drawRect(mScratchRect, mLinePaintBad);
-                int goalWidth = (UI_BAR * mGoalSpeed / PHYS_SPEED_MAX);
-                mScratchRect.set(4 + UI_BAR + 4, 4, 4 + UI_BAR + 4 + goalWidth,
-                        4 + UI_BAR_HEIGHT);
-                canvas.drawRect(mScratchRect, mLinePaint);
-            }
-
-            // Draw the landing pad
-            canvas.drawLine(mGoalX, 1 + mCanvasHeight - TARGET_PAD_HEIGHT,
-                    mGoalX + mGoalWidth, 1 + mCanvasHeight - TARGET_PAD_HEIGHT,
-                    mLinePaint);
-
 
             // Draw the ship with its current rotation
